<template>
  <i-frame :src="url" />
</template>
<script>
import iFrame from "@/components/RuoYiIframe/index";
import { getAccessToken } from "@/utils/auth";
export default {
  name: "JimuReport",
  components: { iFrame },
  data() {
    return {
      // url: location.href.origin + '/jmreport/list?token=' + getAccessToken()
      // url: process.env.VUE_APP_REPORT_API + '/jmreport/list?token=' + getAccessToken()
      url:
        process.env.VUE_APP_REPORT_API +
        "/jmreport/list?token=" +
        getAccessToken(),
    };
  },
  created() {
    console.log(this.url, process.env, process.env.VUE_APP_TITLE);
  },
};
</script>
